/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&family=Montserrat:wght@100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Marck+Script&family=Montserrat:wght@100..900&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --title-color: hsl(220, 8%, 10%);
  --text-color: hsl(220, 8%, 40%);
  --white-color: hsl(0, 0%, 100%);
  --black-color: hsl(220, 8%, 6%);
  --body-color: hsl(220, 8%, 99%);
  --container-color: hsl(220, 8%, 96%);
  --opacity-color-30: hsla(0, 0%, 90%, 0.3);
  --opacity-color-20: hsla(0, 0%, 90%, 0.2);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat", sans-serif;
  --second-font: "Marck Script", cursive;
  --biggest-font-size: 2rem;
  --big-font-size: 1.5rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --h4-font-size: 0.75rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --biggest-font-size: 3rem;
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

input,
button,
body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
  transition: background-color 0.4s;
}

input,
button {
  outline: none;
  border: none;
}

h1,
h2,
h3,
h4 {
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/*=============== THEME ===============*/
/*========== Variables Dark theme ==========*/

/*========== 
	Color changes in some parts of 
	the website, in dark theme
==========*/

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  padding: 0 1rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}
.section__title {
  font-size: var(--big-font-size);
  color: var(--title-color);
  text-align: center;
  margin-bottom: 2rem;
}

.main {
  overflow: hidden;
}

/*=============== HEADER & NAV ===============*/
.header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: transparent;
  transition: background-color 0.4s box-shadow 0.4s;
}
.nav {
  height: var(--header-height);
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;

}

.logoparus {
  width: 120px;
}
.nav__toggle,
.nav__theme,
.nav__close {
  display: inline-flex;
  color: var(--white-color);
  font-size: 1.5rem;
  cursor: pointer;
  transition: color 0.4s;
}
.nav__buttons {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
/* Navigation for mobile devices */

@media screen and (max-width: 1150px) {
  .nav__menu {
    position: fixed;
    top: -120%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding-block: 4rem;
    box-shadow: 0 8px 16px hsla(0, 0%, 0%, 0.1);
    border-radius: 0 0 1.5rem 1.5rem;
    transition: top 0.4s;
  }
}
.nav__list {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}
.nav__link {
  position: relative;
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}
.nav__link::after {
  content: "";
  position: absolute;
  bottom: -0.5rem;
  left: 0;
  width: 0;
  height: 2px;
  transition: width 0.4s;
  background-color: var(--title-color);
}
.nav__link:hover::after {
  width: 60%;
}
.nav__close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  color: var(--title-color);
}

/* Show menu */
.show-menu {
  top: 0;
}
/* Change background header */

.bg-header {
  background-color: var(--body-color);
  box-shadow: 0 8px 16px hsla(0, 0%, 0%, 0.1);
}
.bg-header :is(.nav__logo, .nav__toggle, .nav__theme) {
  color: var(--title-color);
}

.bg-header .nav__log {
  filter: invert(100%);
}

/* Active link */
.active-link::after {
  width: 60%;
}
/*=============== HOME ===============*/
.home {
  position: relative;
}
.home__bg,
.home__blur {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.home__bg {
  object-fit: cover;
  object-position: center;
}
.home__blur {
  background-color: var(--opacity-color-20);
  backdrop-filter: blur(40px);
  transition: 0.4s;
}

 .home__blurr  {
  background-color: var(--opacity-color-20);
  backdrop-filter: blur(40px);
  transition: 0.4s;
}
.home__container {
  position: relative;
  padding-block: 2rem 3rem;
  row-gap: 3rem;
}
.home__data {
  text-align: center;
  color: var(--white-color);
}
.home__title {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  line-height: 110%;
  margin-bottom: 1rem;
}
.home__description {
  margin-bottom: 2rem;
}
.home__swiper {
  max-width: 320px;
  border-radius: 1.5rem;
}





/* Swiper class */
.home__swiper .swiper-button-next::after,
.home__swiper .swiper-button-prev::after {
  content: "";
}
.home__swiper :is(.swiper-button-next, .swiper-button-prev) {
  color: var(--white-color);
  font-size: 1.5rem;
  background-color: var(--opacity-color-30);
  backdrop-filter: blur(24px);
  height: 2rem;
  width: 2rem;
  border-radius: 0.25rem;
  top: initial;
  bottom: 1.25rem;
  transition: background-color 0.4s;
}

.home__swiper .swiper-button-prev {
  right: 4rem;
  left: initial;
}
.home__swiper .swiper-button-next {
  right: 1.25rem;
}
/*=============== BUTTON ===============*/
.button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  column-gap: 0.5rem;
  background-color: var(--black-color);
  color: var(--white-color);
  padding: 1rem 2rem;
  font-weight: var(--font-semi-bold);
  border-radius: 0.5rem;
  transition: background-color 0.4s;
}

.button i {
  font-weight: initial;
  font-size: 1.5rem;
  transition: transform 0.4s;
}

.button:hover i {
  transform: translateX(0.5rem);
}
.button__opa-30 {
  background-color: var(--opacity-color-30);
}

.button__bron {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  column-gap: 0.5rem;
  background-color: var(--black-color);
  color: var(--white-color);
  font-size: 12px;
  padding: 0.75rem 1.75rem;
  font-weight: 500;
  border-radius: 0.5rem;
  transition: background-color 0.4s;
}

.button__bron i {
  font-weight: initial;
  font-size: 0.75rem;
  transition: transform 0.4s;
}

.button__bron:hover i {
  transform: translateX(0.5rem);
}
.button__opa-20 {
  background-color: #3675c2;
}
/*=============== DESTINATION ===============*/
.destination__container {
  grid-template-columns: 300px;
  justify-content: center;
}

.destination__card {
  position: relative;
  border-radius: 1.5rem;
  overflow: hidden;
}

.destination__img {
  transition: transform 0.4s;
}
.destination__data {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 1.5rem;
  background-color: var(--opacity-color-30);
  backdrop-filter: blur(24px);
  color: var(--white-color);
  display: grid;
  row-gap: 0.25rem;
  transition: background-color 0.4s;
}

.destination__subtitle {
  font-size: var(--h2-font-size);
  font-family: var(--second-font);
}
.destination__title {
  font-size: var(--h1-font-size);
}
.destination__country {
  display: flex;
  align-items: center;
  column-gap: 0.25rem;
}

.destination__country i {
  font-size: 1rem;
}
.destination__country span {
  font-size: var(--small-font-size);
}
.destination__card:hover .destination__img {
  transform: scale(1.2);
}

/*=============== TESTIMONIAL ===============*/
.testimonial__container {
  justify-content: center;
  gap: 0;
}
.testimonial__img {
  width: 300px;
  border-radius: 1.5rem 1.5rem 0 0;
}
.testimonial__swiper {
  max-width: 300px;
  background-color: var(--container-color);
  border-radius: 0 0 1.5rem 1.5rem;
  margin-inline: initial;
  transition: background-color 0.4s;
}
.testimonial__card {
  padding: 2.5rem 2rem 3rem 1.25rem;
}

.testimonial__title {
  font-size: var(--h2-font-size);
  color: var(--title-color);
  margin-bottom: 0.75rem;
}
.testimonial__description {
  margin-bottom: 1.5rem;
}
.testimonial__profile {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}
.testimonial__profile img {
  width: 60px;
  border-radius: 50%;
}

.testimonial__info h3 {
  font-size: var(--normal-font-size);
  color: var(--title-color);
  margin: 0.25rem;
}
.testimonial__info p {
  font-size: var(--small-font-size);
}
/* Swiper class */

.testimonial__swiper .swiper-button-next::after,
.testimonial__swiper .swiper-button-prev::after {
  content: "";
}
.testimonial__swiper :is(.swiper-button-next, .swiper-button-prev) {
  color: var(--title-color);
  font-size: 1.5rem;
  top: initial;
  bottom: 1.25rem;
}

.testimonial__swiper .swiper-button-prev {
  right: 3.5rem;
  left: initial;
}
.testimonial__swiper .swiper-button-next {
  right: 1.25rem;
}

/*=============== GALLERY ===============*/
.gallery__container {
  grid-template-columns: 300px;
  justify-content: center;
}
.gallery__card {
  position: relative;
  border-radius: 1.5rem;
  overflow: hidden;
}
.gallery__shadow {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    180deg,
    hsla(0, 0%, 0%, 0) 70%,
    hsla(0, 0%, 0%, 0.7) 100%
  );
}

.gallery__img {
  transition: transform 0.4s;
}
.gallery__data {
  position: absolute;
  bottom: 1rem;
  left: 1.25rem;
  color: var(--white-color);
}
.gallery__subtitle {
  font-size: var(--h2-font-size);
  font-family: var(--second-font);
}
.gallery__title {
  font-size: var(--h1-font-size);
}
.gallery__card:hover .gallery__img {
  transform: scale(1.2);
}
/*=============== JOIN ===============*/
.join__container {
  row-gap: 3rem;
  padding-bottom: 3rem;
}
.join__data {
  text-align: center;
}
.join__data .section__title {
  margin-bottom: 1rem;
}
.join__description {
  margin-bottom: 2rem;
}
.join__form {
  display: grid;
  row-gap: 1rem;
}
.join__input {
  width: 100%;
  background-color: var(--container-color);
  color: var(--text-color);
  padding: 1.5rem 1rem;
  border-radius: 0.5rem;
  border: none;
  transition: background-color 0.4s;
}
.join__input:focus {
  border: none;
}

select {
  border: none !important;
  outline: none !important;
  box-shadow: none !important;
  appearance: none; /* 🔥 browser style o‘chadi */
  -webkit-appearance: none;
  -moz-appearance: none;
}

select:focus {
  border: none !important;
  outline: none !important;
  box-shadow: none !important;
}

.join__button {
  padding-block: 1.25rem;
  cursor: pointer;
  background-color: #3675c2;
}
.join__img {
  width: 300px;
  border-radius: 1.5rem;
  justify-self: center;
}
/*=============== FOOTER ===============*/
.footer {
  background-color: #3675c2;
  padding: 4rem 2rem;
}
.footer__container {
  row-gap: 3rem;
}

.footer__logo {
  display: inline-flex;
  align-items: center;
  column-gap: 0.25rem;
  color: var(--white-color);
  font-weight: var(--font-semi-bold);
  font-size: var(--h3-font-size);
}

.footer__content {
  grid-template-columns: repeat(2, max-content);
  gap: 3rem;
}
.footer__title {
  font-size: var(--h3-font-size);
  color: var(--white-color);
  margin-bottom: 1rem;
}

.footer__links {
  display: grid;
  row-gap: .75rem;
}

.footer__link {
  color: var(--white-color);
}

.footer__social {
  display: flex;
  column-gap: 1rem;
}
.footer__social-link {
  color: var(--white-color);
  font-size: 1.5rem;
  transition: color 0.4s;
}
.footer__social-link:hover {
  transform: translateX(-.25rem);
}


.footer__copy {
  display: block;
  color: var(--white-color);
  font-size: var(--small-font-size);
  text-align: center;
  margin-top: 6rem;
}
*/

/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar {
  width: 0.6rem;
  background-color: hsl(220, 6%, 80%);
}
::-webkit-scrollbar-thumb {
  background-color: hsl(220, 6%, 60%);
}
::-webkit-scrollbar-thumb:hover {
  background-color: hsl(220, 6%, 50%);
}
/*=============== SCROLL UP ===============*/
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: var(--body-color);
  box-shadow: 0 8px 16px hsla(0, 0%, 0%, 0.1);
  color: var(--title-color);
  display: inline-flex;
  padding: 6px;
  font-size: 1.25rem;
  border-radius: 0.25rem;
  z-index: var(--z-tooltip);
  transition:
    bottom 0.4s,
    transform 0.4s,
    background-color 0.4s;
}
.scrollup:hover {
  transform: translateY(-0.5rem);
}

/* Show Scroll Up */
.show-scroll {
  bottom: 3rem;
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 320px) {
  .container {
    margin-inline: 1rem;
  }
  .home__title {
    font-size: 2.5rem;
  }
  .destination__container,
  .gallery__container {
    grid-template-columns: 250px;
  }
  .footer__content {
    grid-template-columns: max-content;
  }
}
/* For medium devices */

@media screen and (max-width: 576px) {
  .home__container {
    grid-template-columns: 400px;
    justify-content: center;
  }
  .home__swiper {
    max-width: 400px;
  }
  .testimonial__img {
    width: 400px;
  }
  .testimonial__swiper {
    max-width: 400px;
  }
  .join__container {
    grid-template-columns: 380px;
    justify-content: center;
    
  }
  .join__form {
    padding-left: 5px!important;
    padding-right: 5px;
  } 
  .join__img {
    width: 380px;
  }
  .footer__content {
    grid-template-columns: repeat(3, max-content);
  }
}
/* For large devices */
@media screen and (min-width: 768px) {
  .destination__container,
  .gallery__container {
    grid-template-columns: repeat(2, 300px);
  }
  .footer__content {
    grid-template-columns: repeat(4, max-content);
  }
}
/* For 2K resolutions (2048 x 1152, 2048 x 1536) */
@media screen and (min-width: 1150px) {
  .container {
    margin-inline: auto;
  }
  .section {
    padding-block: 7rem 2rem;
  }
  .section__title {
    margin-bottom: 4rem;
  }
  .nav {
    height: calc(--header-height) + 2rem;
    column-gap: 4rem;
  }

  .nav__toggle,
  .nav__close {
    display: none;
  }
  .nav__menu {
    margin-left: auto;
  }
  .nav__list {
    flex-direction: row;
    column-gap: 4rem;
  }
  .nav__link {
    color: var(--white-color);
    font-size: 0.75rem;
  }
  .nav__link::after {
    background-color: var(--white-color);
  }
  .bg-header .nav__link {
    color: var(--title-color);
  }
  .bg-header .nav__link::after {
    background-color: var(--title-color);
  }
  .home__container {
    grid-template-columns: 520px 700px;
    align-items: center;
    padding-block: 2rem 6rem;
    gap: 0;
  }
  .home__data {
    text-align: initial;
    transform: translateX(3rem);
    z-index: 5;
  }
  .home__title {
    font-size: var(--biggest-font-size);
    line-height: 140%;
  }
  .home__description {
    margin-bottom: 4rem;
    padding-right: 6rem;
    line-height: 160%;
  }
  .home__swiper {
    max-width: 700px;
    transform: translateX(-3rem);
  }
  .home .swiper-button-prev {
    right: 4.5rem;
  }
  .home .swiper-button-next {
    right: 2rem;
  }
  .destination__container {
    grid-template-columns: repeat(3, 340px);
    gap: 2rem;
  }
  .destination__data {
    padding-inline: 2rem;
  }
  .destination__title {
    font-size: var(--h2-font-size);
  }
  .testimonial__container {
    grid-template-columns: 600px 400px;
  }
  .testimonial__img {
    width: 600px;
    border-radius: 1.5rem 0 0 1.5rem;
  }
  .testimonial__card {
    padding: 6rem 6rem 3rem 2rem;
  }
  .testimonial__title {
    margin-bottom: 1rem;
  }
  .testimonial__description {
    margin-bottom: 3rem;
  }
  .testimonial__swiper {
    border-radius: 0 1.5rem 1.5rem 0;
  }
  .testimonial .swiper-button-prev,
  .testimonial .swiper-button-next {
    bottom: 2.5rem;
  }
  .testimonial .swiper-button-prev {
    right: 5rem;
  }
  .testimonial .swiper-button-next {
    right: 3rem;
  }
  .gallery__container {
    grid-template-columns: repeat(2, 500px);
    gap: 2rem;
  }
  .gallery__data {
    bottom: 2rem;
    left: 2rem;
  }
  .gallery__title {
    font-size: var(--h2-font-size);
  }
  .join__container {
    grid-template-columns: 360px 500px;
    align-items: center;
    column-gap: 10rem;
  }
  .join__data {
    text-align: initial;
  }
  .join__data .section__title {
    margin-bottom: 1.5rem;
    text-align: initial;
  }
  .join__description {
    margin-bottom: 3rem;
  }
  .join__img {
    width: 500px;
  }

  .scrollup {
    right: 2rem;
  }
}

.bron {
  background-color: #3675c2;
  color: var(--white-color);
  padding: 0.5rem 1.25rem;
  border-radius: 0.5rem;
  font-size: var(--small-font-size);
}

.bron__title {
  font-size: var(--h2-font-size);
  color: var(--title-color);
  text-align: center;
  margin-bottom: 1rem;
}

#popupModal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* 🔥 MUHIM */
}

#popupModal .popup-content {
  background: #fff;
  padding: 30px;
  border-radius: 12px;
  width: 600px;
  position: relative;
}

#closePopup {
  position: absolute;
  top: 10px;
  right: 15px;
  cursor: pointer;
  font-size: 22px;
}

#popupModal input,
#popupModal select {
  width: 100%;
  padding: 20px;
  margin: 10px 0;
}

#popupModal button {
  width: 100%;
  padding: 12px;
  background: #3b6db3;
  color: #fff;
  border: none;
}


.form-message {
  font-size: 14px;
  margin-top: 10px;
  color: #28a745;
  display: none;
}









.footer {
  background: #0b4a4f;
  color: #fff;
  padding: 40px 20px 20px;
}

.footer__container {
  max-width: 1200px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  gap: 30px;
  flex-wrap: wrap;
}

/* LEFT */
.footer__logo {
  font-size: 20px;
  margin-bottom: 10px;
}

.footer__contact p {
  margin: 16px 0;
  font-size: 16px;
  font-weight: 500;
}

/* MENU */
.footer__menu {
  list-style: none;
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
   font-size: 16px;
  font-weight: 500;
}

.footer__menu a {
  color: #fff;
  text-decoration: none;
  transition: 0.3s;
}

.footer__menu a:hover {
  color: #3675c2;
}

/* SOCIAL */
.footer__social {
  display: flex;
  gap: 15px;
}

.footer__social svg {
  width: 30px; /* 🔥 kattaroq */
  height: 30px;
  fill: #fff;
  transition: 0.3s;
}

.footer__social a:hover svg {
  fill: #3675c2;
  transform: scale(1.15);
}

/* BOTTOM */
.footer__bottom {
  text-align: center;
  margin-top: 20px;
  font-size: 14px;
  opacity: 0.8;
}

/* 📱 RESPONSIVE */
@media (max-width: 768px) {
  .footer__container {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer__menu {
    justify-content: center;
  }

  .footer__social {
    justify-content: center;
  }
}